package com.boman.domain;


/**
 * @author tjf
 * @Date: 2021/03/25/16:04
 */
public class GenTableRelation extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 描述(tap页显示的名称)
     */
    private String description;

    /**
     * 关联表(gen_table的id)
     */
    private Long relationParentId;

    /**
     * 字段(关联主表PK gen_table_column的id)
     */
    private Long relationChildId;

    /**
     *关联方式(1:1 1:N 取值字典表)
     */
    private Long relationType;

    /**
     * 内嵌查询
     */
    private Long embedEdit;

    /**
     * 显示条件
     */
    private String displayConditions;

    /**
     * 排序
     */
    private Long sort;

    /**
     * 是否删除(Y是)
     */
    private String isDel;
    /**
     * 字段名称
     */
    private String columnName;

    /**
     * 表名称
     */
    private String tableName;

    public String getColumnName() {
        return columnName;
    }

    public void setColumnName(String columnName) {
        this.columnName = columnName;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public Long getEmbedEdit() {
        return embedEdit;
    }

    public void setEmbedEdit(Long embedEdit) {
        this.embedEdit = embedEdit;
    }

    public String getDisplayConditions() {
        return displayConditions;
    }

    public void setDisplayConditions(String displayConditions) {
        this.displayConditions = displayConditions;
    }

    public Long getSort() {
        return sort;
    }

    public void setSort(Long sort) {
        this.sort = sort;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Long getRelationParentId() {
        return relationParentId;
    }

    public void setRelationParentId(Long relationParentId) {
        this.relationParentId = relationParentId;
    }

    public Long getRelationChildId() {
        return relationChildId;
    }

    public void setRelationChildId(Long relationChildId) {
        this.relationChildId = relationChildId;
    }

    public Long getRelationType() {
        return relationType;
    }

    public void setRelationType(Long relationType) {
        this.relationType = relationType;
    }

    public String getIsDel() {
        return isDel;
    }

    public void setIsDel(String isDel) {
        this.isDel = isDel;
    }


    @Override
    public String toString() {
        return "GenTableRelation{" +
                "id=" + id +
                ", description='" + description + '\'' +
                ", relationParentId=" + relationParentId +
                ", relationChildId=" + relationChildId +
                ", relationType=" + relationType +
                ", sort=" + sort +
                ", isDel='" + isDel + '\'' +
                '}';
    }
}
